#include <errno.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <signal.h>
#include <syslog.h>

void error_exit(const char *format, ...)
{
        char buffer[4096];
        va_list ap;

        va_start(ap, format);
        vsnprintf(buffer, sizeof(buffer), format, ap);
        va_end(ap);

        fprintf(stderr, "FATAL error, %s: errno=%d (if applicable) -> %s\n", buffer, errno, strerror(errno));

        exit(EXIT_FAILURE);
}
